Subject: Re: python 2.0, cygwin & readline - undefined symbols
From: Jason Tishler <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Tue, 13 Mar 2001 09:46:43 -0500

Gerrit,

On Tue, Mar 13, 2001 at 12:13:56PM +0100, Gerrit P. Haase wrote:
> <2001-03-12 10:23 Uhr, hat Gerrit P. Haase geschrieben:>
> < Re: python 2.0, cygwin & readline - >
> 
> Hi Jason,
> 
> > CCSHARED=	-DUSE_DL_IMPORT
> 
> CCSHARED is set in my Makefile, but it is never used. Why not?

Distutils *should* be picking up the CCSHARED value and using during
extension building.  I'm not sure why it's not doing this for your setup.

BTW, do you have any Python 2.0 installations lying around?  Maybe
distutils is accidentally picking up that one and getting confused.

On Tue, Mar 13, 2001 at 12:43:47AM -0500, Jason Tishler wrote:
> On Mon, Mar 12, 2001 at 08:17:16PM +0100, Gerrit P. Haase wrote:
> > Just need to figure out, why the flags are not passed to build the
> > extensions.
> 
> Yes!  Why CCSHARED is not being used during the building of the
> extensions
> (i.e., by distutils) is the crux of your problem.
> 
> Note that your problem is really a Python distutils problem.  So, you
> may have better luck at [email-masked] then here.  Don't
> worry -- I'm subscribed to that one too! :,)

This is why I suggested posting to the Distutils mailing list.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple